System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.All)

If the attribute is placed on a property or a type, its text representation in a property window appears as dots or asterisks to indicate a password field.

This indication in no way represents any type of encryption or security. For more information about using attributes, see Extending Metadata Using Attributes.

Indicates that an object's text representation is obscured by characters such as asterisks. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class, optionally showing password text.

  true to indicate that the property should be shown as password text; otherwise, false. The default is false.
- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PasswordPropertyTextAttribute

  The default value is .

  Specifies the default value for the .

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether two instances are equal.

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for this instance.

  A hash code for the current .

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns an indication whether the value of this instance is the default value.

  true if this instance is the default attribute for the class; otherwise, false.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PasswordPropertyTextAttribute

  The field is the default value for the .

  Specifies that a text property is not used as a password. This static (Shared in Visual Basic) field is read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating if the property for which the is defined should be shown as password text.

- Field
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PasswordPropertyTextAttribute To be added.

  Specifies that a text property is used as a password. This static (Shared in Visual Basic) field is read-only.